import { ensureDir } from "../../deps.js";
import { getConfigDirPath } from "../../windmill-utils-internal/src/config/config.js";
function hash_string(str) {
    let hash = 0, i, chr;
    if (str.length === 0)
        return hash;
    for (i = 0; i < str.length; i++) {
        chr = str.charCodeAt(i);
        hash = (hash << 5) - hash + chr;
        hash |= 0; // Convert to 32bit integer
    }
    return hash;
}
export async function getStore(baseUrl, configDirOverride) {
    const baseHash = Math.abs(hash_string(baseUrl)).toString(16);
    const baseStore = (await getConfigDirPath(configDirOverride)) + baseHash + "/";
    await ensureDir(baseStore);
    return baseStore;
}
